### Signal

# Gtk EntryCompletion::cursor-on-match

#### Declaration

    gboolean
    cursor_on_match (
      GtkEntryCompletion self,
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer user_data
    )

#### Description [src]

Emitted when a match from the cursor is on a match of the list.

The default behaviour is to replace the contents of the entry with the contents of the text column in the row pointed to by `iter`.

Note that `model` is the model that was passed to gtk_entry_completion_set_model().

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`model` | `GtkTreeModel`
| The `GtkTreeModel` containing the matches.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| A `GtkTreeIter` positioned at the selected match.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the signal has been handled.